PomWriterOptions.ExtraDependency
Date: 2014-12-13

org.apache.ivy.plugins.parser.m2

## Class PomWriterOptions.ExtraDependency

- java.lang.Object
- - org.apache.ivy.plugins.parser.m2.PomWriterOptions.ExtraDependency

- Enclosing class:
    PomWriterOptions

      public static class PomWriterOptions.ExtraDependency
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PomWriterOptions.ExtraDependency(java.lang.String group, java.lang.String artifact, java.lang.String version, java.lang.String scope, java.lang.String type, java.lang.String classifier, boolean optional)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArtifact()`
    `java.lang.String` | `getClassifier()`
    `java.lang.String` | `getGroup()`
    `java.lang.String` | `getScope()`
    `java.lang.String` | `getType()`
    `java.lang.String` | `getVersion()`
    `boolean` | `isOptional()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PomWriterOptions.ExtraDependency

          public PomWriterOptions.ExtraDependency(java.lang.String group,
                                          java.lang.String artifact,
                                          java.lang.String version,
                                          java.lang.String scope,
                                          java.lang.String type,
                                          java.lang.String classifier,
                                          boolean optional)

  - ### Method Detail

    - #### getGroup

          public java.lang.String getGroup()

    - #### getArtifact

          public java.lang.String getArtifact()

    - #### getVersion

          public java.lang.String getVersion()

    - #### getScope

          public java.lang.String getScope()

    - #### getType

          public java.lang.String getType()

    - #### getClassifier

          public java.lang.String getClassifier()

    - #### isOptional

          public boolean isOptional()